package com.djhk.uav.equ.domain;


import com.djhk.common.annotation.Excel;
import com.djhk.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 设备台账对象 equ_info
 * 
 * @author huangqinguo
 * @date 2023-06-01
 */
public class EquInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long equId;

    /**  */
    @Excel(name = "")
    private String equCode;

    /**  */
    @Excel(name = "")
    private String typeId;

    /**  */
    @Excel(name = "")
    private Long modelId;

    /** 0正常，1故障，2报废 */
    @Excel(name = "0正常，1故障，2报废")
    private String equSts;

    /**  */
    @Excel(name = "")
    private String equSn;

    /** 组织Id */
    @Excel(name = "组织Id")
    private Long organId;

    /**  */
    @Excel(name = "")
    private String mngName;

    /**  */
    @Excel(name = "")
    private String mngCode;

    /**  */
    @Excel(name = "")
    private String purDate;

    /**  */
    @Excel(name = "")
    private String mtnDate;

    /**  */
    @Excel(name = "")
    private Long locLon;

    /**  */
    @Excel(name = "")
    private Long locLat;

    public void setEquId(Long equId) 
    {
        this.equId = equId;
    }

    public Long getEquId() 
    {
        return equId;
    }
    public void setEquCode(String equCode) 
    {
        this.equCode = equCode;
    }

    public String getEquCode() 
    {
        return equCode;
    }
    public void setTypeId(String typeId) 
    {
        this.typeId = typeId;
    }

    public String getTypeId() 
    {
        return typeId;
    }
    public void setModelId(Long modelId) 
    {
        this.modelId = modelId;
    }

    public Long getModelId() 
    {
        return modelId;
    }
    public void setEquSts(String equSts) 
    {
        this.equSts = equSts;
    }

    public String getEquSts() 
    {
        return equSts;
    }
    public void setEquSn(String equSn) 
    {
        this.equSn = equSn;
    }

    public String getEquSn() 
    {
        return equSn;
    }
    public void setOrganId(Long organId) 
    {
        this.organId = organId;
    }

    public Long getOrganId() 
    {
        return organId;
    }
    public void setMngName(String mngName) 
    {
        this.mngName = mngName;
    }

    public String getMngName() 
    {
        return mngName;
    }
    public void setMngCode(String mngCode) 
    {
        this.mngCode = mngCode;
    }

    public String getMngCode() 
    {
        return mngCode;
    }
    public void setPurDate(String purDate) 
    {
        this.purDate = purDate;
    }

    public String getPurDate() 
    {
        return purDate;
    }
    public void setMtnDate(String mtnDate) 
    {
        this.mtnDate = mtnDate;
    }

    public String getMtnDate() 
    {
        return mtnDate;
    }
    public void setLocLon(Long locLon) 
    {
        this.locLon = locLon;
    }

    public Long getLocLon() 
    {
        return locLon;
    }
    public void setLocLat(Long locLat) 
    {
        this.locLat = locLat;
    }

    public Long getLocLat() 
    {
        return locLat;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("equId", getEquId())
            .append("equCode", getEquCode())
            .append("typeId", getTypeId())
            .append("modelId", getModelId())
            .append("equSts", getEquSts())
            .append("equSn", getEquSn())
            .append("organId", getOrganId())
            .append("mngName", getMngName())
            .append("mngCode", getMngCode())
            .append("purDate", getPurDate())
            .append("mtnDate", getMtnDate())
            .append("locLon", getLocLon())
            .append("locLat", getLocLat())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
